fileVerison: 1
packageType: Install
softwareName: NetworkDataIngestion
softwareVersion: V100R020C10SPC300
releaseType: Full
packageFormat: SolutionV3
featureGroup:
  all:
    NetworkDataIngestion-IP:
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_2k.json
      deployOrder: 201
      mgmtSize:
      - '2000'
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_6k.json
      deployOrder: 201
      mgmtSize:
      - '6000'
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_15k.json
      deployOrder: 201
      mgmtSize:
      - '15000'
      - '30000'
      - '50000'
      - '80000'
      - '100000'
      - '150000'
    NetworkDataIngestion-T:
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_2k.json
      deployOrder: 201
      mgmtSize:
      - '2000'
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_6k.json
      deployOrder: 201
      mgmtSize:
      - '6000'
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_15k.json
      deployOrder: 201
      mgmtSize:
      - '15000'
      - '30000'
      - '50000'
      - '80000'
      - '100000'
      - '150000'
    NetworkDataIngestion-FAN:
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_2k.json
      deployOrder: 201
      mgmtSize:
      - '2000'
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_6k.json
      deployOrder: 201
      mgmtSize:
      - '6000'
    - serviceName: NetworkDataIngestionSvr
      require: optional
      deployTemplate: ies_om_global_common_template_15k.json
      deployOrder: 201
      mgmtSize:
      - '15000'
      - '30000'
      - '50000'
      - '80000'
      - '100000'
      - '150000'

optionalFeatureList:
  all:
  - NetworkDataIngestion-IP
  - NetworkDataIngestion-T
  - NetworkDataIngestion-FAN

input:
  NetworkDataIngestion-IP:
    regionAlias:
      description: The prefix of the node or environment.
      default: NCE
      type: string
      require: true
    WEBNIC_IP_DOMAIN:
      description: The network deploy scene
      default: 'true'
      type: string
      require: true

  NetworkDataIngestion-T:
    regionAlias:
      description: The prefix of the node or environment.
      default: NCE
      type: string
      require: true
    WEBNIC_T_DOMAIN:
      description: The network deploy scene
      default: 'true'
      type: string
      require: true

  NetworkDataIngestion-FAN:
    regionAlias:
      description: The prefix of the node or environment.
      default: NCE
      type: string
      require: true
    WEBNIC_FAN_DOMAIN:
      description: The network deploy scene
      default: 'true'
      type: string
      require: true

resources:
  softwareName: #必选，软件名称资源，用于界面显示
    zh_CN: 数据采集服务包。
    en_US: Network Data Ingestion service package.
  packageType:  #必选，包类型资源，用于界面显示
    Install:
      en_US: Install Package
      zh_CN: 安装包
  featureGroup:  #如果有定义特性集则必须提供
    all:
      en_US: ALL
      zh_CN: 全量特性
  feature:        #如果有定义特性则必选
    NetworkDataIngestion-IP:
      en_US: NetworkDataIngestion-IP
      zh_CN: NetworkDataIngestion-IP
    NetworkDataIngestion-T:
      en_US: NetworkDataIngestion-T
      zh_CN: NetworkDataIngestion-T
    NetworkDataIngestion-FAN:
      en_US: NetworkDataIngestion-FAN
      zh_CN: NetworkDataIngestion-FAN
  input:
    regionAlias:
      en_US: regionAlias
      zh_CN: regionAlias
    WEBNIC_T_DOMAIN:
      en_US: WEBNIC_T_DOMAIN
      zh_CN: WEBNIC_T_DOMAIN
    WEBNIC_FAN_DOMAIN:
      en_US: WEBNIC_FAN_DOMAIN
      zh_CN: WEBNIC_FAN_DOMAIN
    WEBNIC_IP_DOMAIN:
      en_US: WEBNIC_IP_DOMAIN
      zh_CN: WEBNIC_IP_DOMAIN
